<control-sms-popup>
    <div class="popup-ovelray" id="popup-sms" style="display:none">
        <div class="popup-window">
            <div class="popup-heading">
                <div class="title"><strong>{ state.service.title }</strong></div>
                <a href="#" class="close" onclick="{ close }">&times;</a>
            </div>
            <div class="popup-body">
                <p id="service-desc"></p>
                <p>
                    Κόστος υπηρεσίας: <strong>€ { state.service.price }</strong><br>
                    Διάρκεια υπηρεσίας: <strong>{ state.service.duration == 1 ? '24 ώρες' : state.service.duration + ' ημέρες' }</strong>
                </p>
                <hr>
                <form class="form-horizontal" onsubmit="{ submit_code }">
                    <div class="form-group">
                        <label class="col-sm-3 control-label">Κωδικός SMS</label>
                        <div class="col-sm-5">
                            <input type="text" data-ref="code" class="form-control" required>
                        </div>
                        <div class="col-sm-4">
                            <button class="btn btn-primary btn-block">ΕΙΣΑΓΩΓΗ ΚΩΔΙΚΟΥ</button>
                        </div>
                    </div>
                    <div class="checkbox">
                        <label>
                            <input type="checkbox" required>
                            Διάβασα και αποδέχομαι τους <a href="/page/terms" target="_blank">όρους χρήσης</a>
                        </label>
                    </div>
                    <p class="text-small text-gray mrg-top-sm">
                        Στο κόστος συμπεριλαμβάνεται ο ΦΠΑ και o φόρος καρτοκινητής 10%.<br>Πάροχος ΥΠΠ (HUBSMS Ltd). Τηλέφωνο επικοινωνίας 801 300 3171.
                    </p>
                </form>
                <div class="alert alert-danger mrg-top-lg mrg-bottom-none" if="{ state.error }">
                    { state.error }
                </div>
                <loader-icon class="control-loader" if="{ state.loading }"></loader-icon>
            </div>
        </div>
    </div>
    <script>
    /*
        Methods:
        --------
        open() :: display the sms code popup

        Opts:
        -----
        onchangehandler ( sms5d object )
    */
        this.state = {
            service: {},
            result: null,
            error: "",
            success: "",
            loading: false,
        }

        this.toggle_loader = value => {
            this.state.loading = value;
            this.update();
        }

        this.open = what => {
            var tag = this;
            request(
                'sms_service_load',
                {
                    'what': what,
                },
                function(result) {
                    tag.state.service = result;
                    tag.update();

                    $('#service-desc').html(result.desc);
                    $('#popup-sms').fadeIn();

                }, null, this.toggle_loader
            );
        }

        this.submit_code = event => {
            event.preventDefault();
            event.stopPropagation();

            var tag = this;
            request(
                'sms_code_submit',
                {
                    'code': this.refs.code.value,
                },
                function(result) {
                    tag.state.error = "";
                    tag.update();

                    if (tag.opts.onchangehandler) {
                        tag.opts.onchangehandler(result);
                    }

                    tag.close();
                },
                function(error) {
                    tag.state.error = error;
                    tag.update();
                }, this.toggle_loader
            );

            return false;
        }

        this.close = event => {
            if (typeof event != 'undefined') {
                event.preventDefault();
            }

            var tag = this;
            $('#popup-sms').fadeOut(function() {
                tag.state.service = {};
                tag.state.error = "";
            });
        }

    </script>
</control-sms-popup>